<?xml version="1.0"?>
<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>
    <BUSINESSCLASS name="ShortenedURL" package="performa.orm">

      	<TABLE name="tl_shortened_url"      tablePrefix="object"    polymorphic="FALSE">
            <ATTRIB name="Code"                 type="String"           dbcol="code"                mandatory="true"        length="8"/>
            <ATTRIB name="UrlLink"              type="String"           dbcol="url_link"            mandatory="true" />
        </TABLE>
        
        <SEARCH type="all" paramFilter="object_id is not null" orderBy="object_created_date desc">            
        </SEARCH>

        <SEARCH type="ByCode" paramFilter="object_id is not NULL" checkTXObjects="TRUE">
            <PARAM name="Code"   type="String"  paramFilter="trim(code) = ${Code}"/>
        </SEARCH>

    </BUSINESSCLASS>
</ROOT>